Bug 199436 - [MAINTAINER] devel/ruby-build: Update to 20150506
Summary: [MAINTAINER] devel/ruby-build: Update to 20150506
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-04-14 01:22 UTC by Koichiro Iwao
Modified: 2015-05-12 07:07 UTC (History)
5 users (show)

See Also:
meta: maintainer-feedback+


Attachments
patch (971 bytes, patch)
2015-04-14 01:22 UTC, Koichiro Iwao
koobs: maintainer-approval-
Details | Diff
poudriere log (16.63 KB, text/plain)
2015-04-14 01:22 UTC, Koichiro Iwao
no flags Details
patch to 20150502 (1.11 KB, patch)
2015-05-05 13:37 UTC, Thomas Hurst
no flags Details | Diff
poudriere testport log (32.58 KB, text/plain)
2015-05-05 13:38 UTC, Thomas Hurst
no flags Details
patch to 20150506 (1.11 KB, patch)
2015-05-06 15:39 UTC, Thomas Hurst
koobs: maintainer-approval+
Details | Diff
20150506 testport (31.87 KB, text/plain)
2015-05-06 15:40 UTC, Thomas Hurst
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2015-04-14 01:22:08 UTC
Created attachment 155579 [details]
patch

update version 20150303 -> 20150413
Comment 1 Koichiro Iwao freebsd_committer 2015-04-14 01:22:40 UTC
Created attachment 155580 [details]
poudriere log
Comment 2 Thomas Hurst 2015-05-05 13:37:03 UTC
Created attachment 156375 [details]
patch to 20150502

Updated patch to 20150502.  Adds LICENSE_FILE, drops unnecessary GH_COMMIT=.
Comment 3 Thomas Hurst 2015-05-05 13:38:29 UTC
Created attachment 156376 [details]
poudriere testport log
Comment 4 Koichiro Iwao freebsd_committer 2015-05-06 13:53:54 UTC
20150502 LGTM.
Comment 5 Thomas Hurst 2015-05-06 15:39:52 UTC
Created attachment 156434 [details]
patch to 20150506

So, guess what.

This adds support for JRuby 1.7.20, which includes at a fix for pty handling on FreeBSD.

Koichiro: Think you're supposed to flip the maintainer-approval flag to + if you accept a patch.   I assume I'm using it properly :)
Comment 6 Thomas Hurst 2015-05-06 15:40:20 UTC
Created attachment 156435 [details]
20150506 testport
Comment 7 Koichiro Iwao freebsd_committer 2015-05-07 00:15:45 UTC
Comment on attachment 156434 [details]
patch to 20150506

Just have forgotten to make maintainer-approval flag positive.
20150506 also LGTM, thanks.
Comment 8 Koichiro Iwao freebsd_committer 2015-05-07 00:20:05 UTC
Comment on attachment 156434 [details]
patch to 20150506

maintainer-approval +
Comment 9 Koichiro Iwao freebsd_committer 2015-05-07 00:22:04 UTC
Is maintainer-approval flag not working?
I marked it as positive.
Comment 10 Koichiro Iwao freebsd_committer 2015-05-07 00:25:27 UTC
I use maintainer-feedback flag instead.
Comment 11 Koichiro Iwao freebsd_committer 2015-05-12 01:55:48 UTC
Anyone can commit this?
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-12 02:25:26 UTC
Comment on attachment 155579 [details]
patch

Always obsolete outdated patches, so it's clear which patch should be committed. 

There should only ever be one "active" patch that is the one proposed (and ideally tested, and approved) at any one time.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-12 02:27:16 UTC
Assignee timeout, open to take
Comment 14 Koichiro Iwao freebsd_committer 2015-05-12 02:35:55 UTC
I think I'm not privileged to do that.

Non-committer bugzilla users, only submitter can obsolete patches with one's own new patches.  Thomas cannot obsolete my patch, I cannot obsolete my patch without submitting a new patch. As a result, there was two active patches.
Comment 15 commit-hook freebsd_committer 2015-05-12 07:03:53 UTC
A commit references this bug:

Author: pi
Date: Tue May 12 07:02:55 UTC 2015
New revision: 386124
URL: https://svnweb.freebsd.org/changeset/ports/386124

Log:
  devel/ruby-build: 20150303 -> 20150506

  Changelog: https://github.com/sstephenson/ruby-build/releases
  - Add JRuby 1.7.20
  - Add Rubinius 2.5.3
  - Add JRuby 9.0.0.0.pre2
  - Specify inet protocol
  - Remove needless build flag for some 2.1 versions
  - Update canonical MagLev 1.0.0 download location
  - Ruby 2.0.0-p645
  - Ruby 2.1.6
  - Ruby 2.2.2
  - Upgrade OpenSSL to 1.0.1m

  PR:		199436
  Submitted by:	Koichiro IWAO <meta+ports@vmeta.jp> (maintainer)

Changes:
  head/devel/ruby-build/Makefile
  head/devel/ruby-build/distinfo
Comment 16 Kurt Jaeger freebsd_committer 2015-05-12 07:07:43 UTC
Committed, thanks.